{% extends 'blog/base.html' %}

{% block content %}
    <h1 class="posttitle">{{ post.title }}</h1>
    {% if post.published_date %}
        <div class="date postdate">
        {{ post.published_date }}
        </div>
    {% else %}
        <a class="btn btn-default" href="{% url 'blog:post_publish' pk=post.pk %}">Publish</a>
    {% endif %}

    <p class="postcontent">{{ post.text|safe|linebreaksbr }}</p>

    {% if user.is_authenticated %}
        <a class="btn btn-primary" href="{% url 'blog:post_edit' pk=post.pk %}"><span class="glyphicon glyphicon-pencil"></span></a>
        <a class="btn btn-danger" href="{% url 'blog:post_remove' pk=post.pk %}"><span class="glyphicon glyphicon-remove"></span></a>
    {% endif %}

    <hr>

    <a class="btn btn-primary" href="{% url 'blog:add_comment_to_post' pk=post.pk %}">Add comment</a>

    <div class="container">
        {% for comment in post.comments.all %}
            <br>
            {% if user.is_authenticated or comment.approved_comment %}
                {{ comment.create_date }}
                {% if not comment.approved_comment %}
                    <a class="btn btn-success" href="{% url 'blog:comment_approve' pk=comment.pk %}"><span class="glyphicon glyphicon-pencil"></span></a>
                    <a class="btn btn-danger" href="{% url 'blog:comment_remove' pk=comment.pk %}"><span class="glyphicon glyphicon-remove"></span></a>
                {% endif %}
                <p>{{ comment.text|safe|linebreaks }}</p>
                <p>Posted by: {{ comment.author }}</p>
            {% endif %}
            {% empty %}
            <p>No comments!</p>
        {% endfor %}
    </div>
{% endblock %}